%global pypi_name sphinxcontrib-qthelp

# when bootstrapping sphinx, we cannot run tests yet
%bcond_with check

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        %mkrel 4
Summary:        Sphinx extension for QtHelp documents
Group:		Development/Python
License:        BSD
URL:            http://sphinx-doc.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
%endif

%description
sphinxcontrib-qthelp is a sphinx extension which outputs QtHelp document.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-qthelp is a sphinx extension which outputs QtHelp document.

%prep
%autosetup -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

find -name '*.mo' -delete

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%py3_build

%install
%py3_install

# Move language files to /usr/share
pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/qthelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/qthelp/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/qthelp/locales
ln -s %{_datadir}/locale sphinxcontrib/qthelp/locales
popd

%find_lang sphinxcontrib.qthelp

%if %{with check}
%check
%{__python3} -m pytest
%endif

%files -n python3-%{pypi_name} -f sphinxcontrib.qthelp.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_qthelp-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_qthelp-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.3-4.mga9
+ Revision: 1822185
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.0.3-3.mga9
+ Revision: 1772082
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.0.3-2.mga9
+ Revision: 1702701
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.0.3-1.mga8
+ Revision: 1626573
- new version 1.0.3

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1530931
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 1.0.2-2.mga8
+ Revision: 1437862
- rebuild for python3.8

* Mon Jul 15 2019 tv <tv> 1.0.2-1.mga8
+ Revision: 1421699
- imported package python-sphinxcontrib-qthelp


* Fri Mar 01 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.2-1
- Initial package
